Bug 242500 - Wrong init script
Summary: Wrong init script
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: krb5 (Show other bugs)
(Show other bugs)
Version: 5.0
Hardware: All Linux
low
low
Target Milestone: ---
: ---
Assignee: Nalin Dahyabhai
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 237789 242501 242502
TreeView+ depends on / blocked
 
Reported: 2007-06-04 15:36 UTC by Michal Marciniszyn
Modified: 2014-02-10 23:02 UTC (History)
2 users (show)

Fixed In Version: RHBA-2008-0381
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-21 15:27:57 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
tgz file with diffs of krb5 init scripts (10.00 KB, application/x-gzip)
2007-10-26 15:20 UTC, Michal Marciniszyn
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2008:0381 normal SHIPPED_LIVE krb5 bug fix update 2008-05-20 12:36:36 UTC

Description Michal Marciniszyn 2007-06-04 15:36:37 UTC
Description of problem:
krb5 init scripts (kadmin/krb5kdc/krb524) contain incorrect error codes that
also prevent correct invocation of status command. For example
[ ${NETWORKING} = "no" ] && exit 0
appears in all scripts, also
if [ ! -f /var/kerberos/krb5kdc/principal ] ; then
   echo $"Error. Default principal database does not exist."
   exit 0
fi
is not correct... There are more constructions like these in all three scripts.

Version-Release number of selected component (if applicable):
all

How reproducible:
always

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
When fixing this bug, please obbey our init script guidelines and be sure that
status command is run correctly.
Our guidelines are on following two pages:
http://intranet.corp.redhat.com/ic/intranet/InitscriptsSpec.html
http://intranet.corp.redhat.com/ic/intranet/InitscriptGuidelines.html

For an example of the script that returns the error codes correctly and always
runs status see:
http://devserv.devel.redhat.com/~mmarcini/amd

This bug is tracked by 237789.

Comment 1 RHEL Product and Program Management 2007-06-04 15:44:20 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 2 Michal Marciniszyn 2007-06-05 11:43:43 UTC
The bug also applies to kprop init script...

Comment 3 Nalin Dahyabhai 2007-10-25 15:34:31 UTC
Do you have a patch?

Comment 4 Michal Marciniszyn 2007-10-26 15:20:06 UTC
Created attachment 239191 [details]
tgz file with diffs of krb5 init scripts

Comment 5 Nalin Dahyabhai 2007-11-09 18:51:33 UTC
In the future, please use unified (-u) format when providing patches -- they
provide filenames and context which are both useful if there are any problems
applying the patches.

Comment 10 errata-xmlrpc 2008-05-21 15:27:57 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0381.html



Note You need to log in before you can comment on or make changes to this bug.